"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LiquidityIncentiveClient = void 0;
const anchor_1 = require("@project-serum/anchor");
const liquidityIncentiveProgram_json_1 = __importDefault(require("../generated/idl/liquidityIncentiveProgram.json"));
const constants_1 = require("../constants");
const client_1 = require("./client");
class LiquidityIncentiveClient extends client_1.ProgramClient {
    constructor(cluster, rpcEndpoint, wallet, confirmOpts = anchor_1.AnchorProvider.defaultOptions()) {
        super(liquidityIncentiveProgram_json_1.default, constants_1.CONFIGS[cluster].LIP_PID, rpcEndpoint, wallet, confirmOpts);
        this.cluster = cluster;
        this.cypherProgramId = constants_1.CONFIGS[cluster].CYPHER_PID;
    }
}
exports.LiquidityIncentiveClient = LiquidityIncentiveClient;
//# sourceMappingURL=liquidityIncentiveProgram.js.map